﻿© Fluke Calibration. All Rights Reserved.                  MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub R&S RTM105x Select Channel
INSTRUMENT:            Sub R&S RTM105x Self-Test and Self-Alignment
INSTRUMENT:            Sub R&S RTM105x Check for Trigger
DATE:                  2011-12-16 18:16:20
AUTHOR:                Fluke
REVISION:              $Revision: 23621 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       194
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Model(s) Covered:
#        R&S RTM1052 (1305.0008.52)
#        R&S RTM1054 (1305.0008.54)
#
#  Compatibility:
#        MET/CAL 7.3 SP1 or later (version 7.3.36)
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         CHANNEL                      PSUBI("Select Channel")
  1.002  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.003  JMPL         TRIGGER                      PSUBI("Trigger")
  1.004  DISP         Called {Subprocedure Not Found}!
  1.005  END

  1.006  EVAL   Increment step number


# =====  Sub R&S RTM105x Select Channel  ====================================

  2.001  LABEL        CHANNEL

# Select ON/OFF based on whether UUT is 2 or 4 channel.
  2.002  IF           @NumChan == 2

# Specify channel being tested.
  2.003  IF           @Chan == 1
  2.004  VISA         CHAN1:STAT ON;:CHAN2:STAT OFF
  2.005  ELSEIF       @Chan == 2
  2.006  VISA         CHAN1:STAT OFF;:CHAN2:STAT ON
  2.007  ELSE
  2.008  DISP         Sub R&S RTM105x Select Channel
  2.008  DISP
  2.008  DISP         [V @UUT_Model] is a 2 channel UUT,
  2.008  DISP         [V @Chan] is an unsupported channel.
  2.009  END
  2.010  ENDIF

  2.011  ELSEIF       @NumChan == 4

# Specify channel being tested.
  2.012  IF           @Chan == 1
  2.013  VISA         CHAN1:STAT ON;:CHAN2:STAT OFF
  2.014  VISA         CHAN3:STAT OFF;:CHAN4:STAT OFF
  2.015  ELSEIF       @Chan == 2
  2.016  VISA         CHAN1:STAT OFF;:CHAN2:STAT ON
  2.017  VISA         CHAN3:STAT OFF;:CHAN4:STAT OFF
  2.018  ELSEIF       @Chan == 3
  2.019  VISA         CHAN1:STAT OFF;:CHAN2:STAT OFF
  2.020  VISA         CHAN3:STAT ON;:CHAN4:STAT OFF
  2.021  ELSEIF       @Chan == 4
  2.022  VISA         CHAN1:STAT OFF;:CHAN2:STAT OFF
  2.023  VISA         CHAN3:STAT OFF;:CHAN4:STAT ON
  2.024  ELSE
  2.025  DISP         Sub R&S RTM105x Select Channel
  2.025  DISP
  2.025  DISP         [V @UUT_Model] is a 4 channel UUT,
  2.025  DISP         [V @Chan] is an unsupported channel.
  2.026  END
  2.027  ENDIF

  2.028  ELSE

  2.029  DISP         Sub R&S RTM105x Select Channel supports
  2.029  DISP         2 and 4 channel UUTs.
  2.029  DISP
  2.029  DISP         [V @NumChan] is an unsupported number of channels.
  2.030  END

  2.031  ENDIF

  2.032  END

  2.033  EVAL   Increment step number


# =====  Sub R&S RTM105x Self-Test and Self-Alignment  ======================

  3.001  LABEL        SELF_TEST

  3.002  RSLT         =
  3.003  HEAD         SELF-TEST AND SELF-ALIGNMENT
  3.004  O_CAL        Standby
  3.005  VISA         *CLS;*RST
  3.006  TARGET
  3.007  DISP         Remove all signal lines from the channel inputs and the
  3.007  DISP         external input (rear panel).
  3.007  DISP
  3.007  DISP         The UUT must have been powered on for at least
  3.007  DISP         20 minutes before selecting 'Advance'.
  3.007  DISP
  3.007  DISP         Ensure that no signal lines are connected during the
  3.007  DISP         alignment process.
  3.008  VISA         *TST?

  3.009  MATH         Msg = "DO NOT SWITCH OFF THE UUT!\n"
  3.010  MATH         Msg = Msg & "Self-Alignment is starting..."
  3.011  WAIT         -t 10 [V Msg]

  3.012  DISP         Do not switch off the UUT!
  3.012  DISP
  3.012  DISP         Self-Test and Self-Alignment are in progess.
  3.012  DISP
  3.012  DISP         Progress can be observed on the UUT front panel.
  3.012  DISP         This process can take up to 25 minutes, depending on
  3.012  DISP         number of channels and fitted options.
  3.012  DISP
  3.012  DISP         Select 'Advance' after the Self-Test and Self-Alignment
  3.012  DISP         process has finished.
  3.013  VISA         [I$]
  3.014  MATH         MEM = MEM2
  3.015  EVAL   -e NOT(MEM) : SELF-TEST AND SELF-ALIGNMENT

  4.001  IF           FAIL()

  4.002  MATH         @Abort = 1

  4.003  DO
  4.004  VISA         SYST:ERR?[I$]
  4.005  DISP         {[MEM2]}
  4.006  MATH         L[1] = MEM2
  4.007  UNTIL        L[1] == 0

  4.008  ENDIF

  4.009  VISA         *RST
  4.010  HEAD
  4.011  END

  4.012  EVAL   Increment Test Number


# =====  Sub R&S RTM105x Check for Trigger  =================================

  5.001  LABEL        TRIGGER

# Average three measurements to ensure that a single sample does not create
# a false pass condition.
  5.002  VISA         RUN;:MEAS2:RES?[I]
  5.003  MATH         L[1] = MEM
  5.004  WAIT         [D500]

  5.005  VISA         RUN;:MEAS2:RES?[I]
  5.006  MATH         L[2] = MEM
  5.007  WAIT         [D500]

  5.008  VISA         RUN;:MEAS2:RES?[I]
  5.009  MATH         L[3] = MEM

  5.010  MATH         Avg = AVG_L(1, 3)

# Check for measured frequency accuracy of +/- 2%.
  5.011  MATH         @TFreq = ABS(Avg - @Freq) <= (0.02 * @Freq)

# Check for triggered condition.
  5.012  VISA         SINGLE
  5.013  WAIT         [D2000]
  5.014  VISA         STAT:OPER:COND?[I]
  5.015  VISA         RUN
  5.016  MATH         @Trig = NOT(BIT(3, MEM))

  5.017  END